Enabling TLS 1.1/1.2 with Ubuntu Oneiric Packages?

Sergey Budnevitch sb at waeme.net
Wed May 2 12:26:12 UTC 2012

On 01.05.2012, at 23:25, mevans336 wrote:

> Is this a matter of just upgrading OpenSSL at the Ubuntu (Linux) level,
> or will I need to build Nginx from source with the OpenSSL 1.0.1 libs?

TLSv1.1/1.2 will work if you upgrade only openssl, but you will not be able
to turn it off with ssl_protocols directive.

> As a secondary question, have any dates been thrown around as to when
> packages will be released that enable TLS v1.1/v1.2?

TLS v1.1/1.2 support depend on openssl version. We plan to build package
for Ubuntu 12.04, which is shipped with openssl 1.0.1, when nginx 1.2.1
will be released.

More information about the nginx mailing list